<div class="center">
    <label class="title-page">{{'civilStatusTitle' | translate}}</label>
    <div class="banner"></div>
    <!-- <div class="form-control"> <label class="label">{{'civilStatusTitle' | translate}}</label></div>
    <br><br> -->
    <div class="form-control">
      <label class="sub-label"> {{'nationality' | translate}}</label>
    </div>
    <div class="form-control" >
      <mat-form-field appearance="outline" id="tun-nat" class="sty"> 
        <mat-icon class="flag-icon flag-icon-tn"></mat-icon>
        <input class="aligned-with-icon" matInput [(ngModel)]='personalInfo.nationality' [value]='personalInfo.nationality' readonly>
      </mat-form-field>
    </div>
    
    <div *ngIf="secondNAtio" class="form-control">
      <input class="checkbox" (click)="showSecondNationality = ! showSecondNationality"
       type="checkbox" [checked]="false"  (change)="secondNatio($event)" >
      <label class="je-confirme-que-je-nai-pas-des-indices-damricanit">
        {{'deuxiemeNatiQuestion' | translate}}
      </label>
    </div>
    <br>
    <div *ngIf="!secondNAtio">
      <div class="form-control">
        <label class="sub-label">{{'secondNationality' | translate}}</label>
      </div>
      <div class="form-group">
        <div class="row">
          <mat-form-field id="bloc1" appearance="outline" class="test">
            <mat-select [(ngModel)]="personalInfo.secondNationality" (selectionChange)="onChangeNationality($event.value)" style=" font-family: Source Sans Pro">
              <mat-select-trigger *ngIf="nationality" class="flag-icon flag-icon-{{nationality.flag}} nationality">
                <mat-icon>whatever</mat-icon>
                <span>{{personalInfo.secondNationality}}</span>
              </mat-select-trigger>
              <mat-option *ngFor="let nationality of nationalities" [value]="nationality.nationality" style=" font-family: Source Sans Pro">
                <mat-icon class="flag-icon flag-icon-{{nationality.flag}}">whatever</mat-icon>
                <span> {{nationality.nationality}}</span>
              </mat-option>
            </mat-select>
          </mat-form-field>
          <span class="ellipse" (click)="showSecondNationality = false || secondNAtio = true ">
          </span>
        </div>
      </div>
    </div>
    <div class="form-control">
      <label class="sub-label">{{'civilStatus' | translate}}
      </label>
    </div>
    <div class="form-control">
      <mat-form-field appearance="outline">
        <mat-select [(ngModel)]="personalInfo.maritalStatus" style=" font-family: Source Sans Pro">
          <mat-option *ngFor="let item of civilities" [value]="item" style= "font-family: Source Sans Pro" >
            {{item}}
          </mat-option>
        </mat-select>
      </mat-form-field>
    </div>
  
    <div class="form-control">
      <label class="sub-label">{{'nbEnfants' | translate}}</label>
    </div>
    <div class="form-control">
      <ng-template ngFor let-item [ngForOf]="children" let-i="index">
        <!-- <button mat-stroked-button [color]="'green'">{{item}}</button> -->
        <!-- <button class="careaux"(click)="setActive(i)" class="{{item.active ? 'active' : ''}}"> -->
        <button id="kids" [ngClass]="{'btn-careaux': true, 'careaux': ! item.active, 'careaux-active': item.active}"
          (click)="setActive(i)">
          <span id="kids-text" [ngClass]="{'btn-text-careau': true, 'text-careaux': ! item.active, 'text-careaux-active': item.active}">
            {{item.label}}</span>
        </button>
      </ng-template>
    </div>
    <br><br>
    <div class="form-control">
      <input class="checkbox" type="checkbox" (change)="openDialog()" [(ngModel)] = "personalInfo.americanIndex">
      <label class="je-confirme-que-je-nai-pas-des-indices-damricanit">
        {{'indiceAmericanité' | translate}}
      </label>
    </div>
    <br><br>
    <div class="form-control">
  
      <button mat-button class="btn-continue cont-layout" (click)='continue()'>
        <span class="continuer">{{'confirmer' | translate}} </span>
      </button>
  
      <button class="btn-retour ret" fxLayout="row" (click)="prevStep()" fxLayoutAlign="space-evenly center">
        <span class="material-icons">
          arrow_back_ios
        </span><span class="Retour">Retour</span></button>
    </div>
  </div>
  
  
  
